@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap");

body {
  margin: 80px 100px;
  background-color: #f4f6fc;
  font-family: "Roboto";
  max-width: 1100px;
  /* margin: 0 auto; with this all the items are centered*/
}

/* BUTTONS */

.btn-primary {
  height: 52px;
  width: 150px;
  background-color: #072ac8;
  color: white;
  font-family: "Roboto";
  font-size: 17px;
  font-weight: 400;
  text-decoration: none;
  border: none;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0;
}

.btn-secondary {
  height: 52px;
  width: 150px;
  color: #072ac8;
  font-family: "Roboto";
  font-size: 17px;
  font-weight: 400;
  text-decoration: none;
  border: none;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: left;
  padding: 0;
  background: none;
}

.btn-link {
  height: 52px;
  width: 150px;
  color: #6b708d;
  font-family: "Roboto";
  font-size: 17px;
  font-weight: 400;
  text-decoration: none;
  border: none;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0;
  background: none;
}

/* TEXT STYLES */

h1 {
  font-size: 60px;
  font-weight: bold;
  color: #292e47;
}

h2 {
  font-size: 50px;
  font-weight: bold;
  color: #292e47;
}

h3 {
  font-size: 40px;
  font-weight: bold;
  color: #292e47;
  margin: 0;
}

h4 {
  font-size: 24px;
  font-weight: bold;
  color: #292e47;
  margin: 0;
}

.body-intro-m {
  font-size: 24px;
  font-weight: 400;
}

.body-intro-r {
  font-size: 20px;
  font-weight: 300;
  color: #6b708d;
}

.text-m {
  font-size: 17px;
  font-weight: 500;
  color: #6b708d;
}

.text-r {
  font-size: 17px;
  font-weight: 300;
  color: #6b708d;
}

.caption-1 {
  font-size: 15px;
  font-weight: 300;
}

.caption-2 {
  font-size: 13px;
  font-weight: 300;
}

/* Lists & Links styles */

a {
  text-decoration: none;
  color: inherit;
}

ul {
  text-decoration: none;
  list-style-type: none;
}

/*------------------------------------------------*/
/* HEADER */

nav {
  display: flex;
  align-content: center;
  justify-content: space-between;
  align-items: center;
  padding-bottom: 80px;
  max-width: 1100px;
}

.menu {
  color: #6b708d;
  font-size: 17px;
  font-weight: 400;
  display: flex;
  justify-content: center;
  gap: 60px;
}

.active-link {
  color: #072ac8;
}

.hamburger-menu-btn {
  display: none;
}

.mobile-menu {
  display: none;
}

/*------------------------------------------------*/
/*FORM*/

.form {
  max-width: 1100px;
  padding-bottom: 80px;
}

#contactForm {
  display: flex;
  flex-direction: column;
  gap: 40px;
}

.name {
  display: flex;
  flex-direction: column;
  gap: 12px;
}

.email-phone {
  width: 100%;
  display: flex;
  gap: 32px;
}

.email-address {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 12px;
}

.phone-number {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 12px;
}

.long-message {
  display: flex;
  flex-direction: column;
  gap: 12px;
}

textarea {
  background-color: #e6e9f1;
  border: none;
  padding-top: 22px;
  padding-left: 24px;
  font-family: "Roboto";
}

.name input,
.email-address input,
.phone-number input {
  background-color: #e6e9f1;
  height: 80px;
  border: none;
  padding-left: 24px;
  display: flex;
  align-items: center;
  font-family: "Roboto";
}

form button {
  height: 80px;
  width: 100%;
  background-color: #072ac8;
  color: white;
  font-size: 17px;
  font-weight: 400;
  text-decoration: none;
  border: none;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0;
}

.error-message {
  color: #ff0000;
  font-size: 14px;
}

#snackbar {
  visibility: hidden;
  min-width: 250px;
  margin-left: -125px;
  background-color: rgb(165, 235, 178);
  color: #292e47;
  text-align: center;
  border-radius: 2px;
  padding: 16px;
  position: fixed;
  z-index: 1;
  left: 50%;
  bottom: 30px;
}

#snackbar.show {
  visibility: visible;
  animation: fadein 0.5s, fadeout 0.5s 2.5s;
}

@keyframes fadein {
  from {
    bottom: 0;
    opacity: 0;
  }
  to {
    bottom: 30px;
    opacity: 1;
  }
}

@keyframes fadeout {
  from {
    bottom: 30px;
    opacity: 1;
  }
  to {
    bottom: 0;
    opacity: 0;
  }
}

/*------------------------------------------------*/
/* FOOTER */

footer {
  max-width: 1100px;
  color: #6b708d;
  font-size: 17px;
  font-weight: 300;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding-top: 80px;
}

.logo-address {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: flex-start;
  width: 240px;
}

.logo-address img {
  height: 30px;
}

.logo-address p {
  margin: 0;
  padding: 16px 0px 0px 0px;
}

.f-links {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.s-links {
  width: 435px;
  display: flex;
  justify-content: right;
  gap: 40px;
}

.s-links li {
  width: 105px;
  text-align: left;
}

/*------------------------------------------------*/
/* MEDIA QUERY */

/* TABLET */

@media screen and (max-width: 780px) {
  body {
    margin: 24px 24px;
  }

  nav {
    padding-bottom: 40px;
    justify-content: space-between;
  }

  .hamburger-menu-btn {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 52px;
    width: 52px;
    background: none;
    color: #072ac8;
    font-size: 24px;
    border: none;
  }

  .menu {
    display: none;
  }

  .logo-container {
    display: flex;
    flex-direction: row;
    gap: 24px;
  }

  .email-phone {
    flex-direction: column;
  }

  .form h1 {
    font-size: 40px;
  }
}
